
QGIS Application - Bug report #7867

Once you change symbology, you can no longer edit the attributes with "edit feature form" after 

re-loading the project

2013-05-20 02:48 PM - Jeff Cameron

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16742

Description

After adding a new PostGIS layer and changing the style settings for that layer or loading a saved style for a layer, you can no longer edit

the attributes of an item in that layer (after closing and reopening the project).

Associated revisions

Revision 43631982 - 2013-05-24 03:04 PM - Matthias Kuhn

[Fix #7867] Fix field properties config dialog

History

#1 - 2013-05-20 02:50 PM - Jeff Cameron

After adding a new PostGIS layer and changing the style settings for that layer or loading a saved style for a layer, you can no longer edit the attributes of

an item in that layer once you close Qgis and come back in.....

#2 - 2013-05-21 01:47 AM - Giovanni Manghi

- Status changed from Open to Feedback

- OS version changed from 12.04 LTS \

 \\l to 12.04 LTS

Hi, I cannot confirm the issue, I'm on Ubuntu too. Can you be more specific about the steps to replicate the issue? Thanks!

PS

What QGIS version?

#3 - 2013-05-21 06:11 AM - Jeff Cameron

- File Attributes_Window.jpeg added

Sure thing. I'm using version 1.9. Any time I add a layer I can select that layer, put it in edit mode and then using the arrow with the i...(identify results?) click

on an object in that layer and it will bring up a window that says Identify Results in the title bar. From there you can click on the drop down arrow next to

(Actions) and it will bring up a window that allows you to edit the Attributes for that item. 

     If I add a layer and then edit it's style, say change the color of it, and then save the project, close qgis and come back in, I can no longer go through the

previous steps to edit the attributes of an item in the just added layer. The Attributes window that pops up will be greyed out.
#4 - 2013-05-21 07:37 AM - Giovanni Manghi

- Subject changed from Once you load a .qml file, you can no longer edit the attributes to Once you change symbology, you can no longer edit the 

attributes with "edit feature form" after re-loading the project

- Target version set to Version 2.0.0

- Priority changed from Normal to Severe/Regression

Seems a regression to me. I'll check 1.8.

#5 - 2013-05-21 11:08 AM - Jeff Cameron

It doesn't do it in 1.8 and didn't start doing it in version 1.9 until Friday May 17, 2013.

#6 - 2013-05-24 06:04 AM - Matthias Kuhn

- Status changed from Feedback to Closed

Fixed in changeset commit:"43631982e7fdf8ffb42d54ce50b552b574b897a1".
